Download an Object and All its Children
REST
Download an Object and All its Children
Download an object and all of its children recursively. The response format depends on the Accept header.
GET
Download an Object and All its Children
Response Format
- If
Acceptistext/plain, each line of the output contains 1 object in the format:{object_id}\t{object_content} - If
Acceptisapplication/json, the output is a JSON representation of an array of objects.
Authorizations
Personal access token. Get your token from your Speckle profile settings.
Headers
Response format: 'application/json' returns a JSON array, 'text/plain' returns tab-separated values (object_id\tobject_content)
Available options:
application/json, text/plain Path Parameters
The ID of the project
The ID of the root object to download A unique identifier for a Speckle object
Example:
"9b2cdb21da092dbd3558a4bc55b2cf7e"
Last modified on May 20, 2026